#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1
%define gtk3ver 3.22

Summary:        Breeze widget theme for Gtk2 and Gtk3
Name:           breeze-gtk
Version: 5.8.7
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Config)

BuildRequires:  pkgconfig(gtk+-2.0)

%description
Breeze widget theme for Gtk2 and Gtk3.

%files
%_kf5_libdir/kconf_update_bin/gtkbreeze5.5
%_kf5_datadir/kconf_update/gtkbreeze5.5.upd
%_kf5_datadir/themes/Breeze*/gtk-3.0
%_kf5_datadir/themes/Breeze*/gtk-2.0
%_kf5_datadir/themes/Breeze*/assets

#--------------------------------------------------------------------


%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DWITH_GTK3_VERSION=%{gtk3ver}
%make_build

%install
%make_install -C build


%changelog
* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104827
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089013
- New version 5.8.6

* Wed Jan 25 2017 akien <akien> 5.8.5-2.mga6
+ Revision: 1083426
- Properly specify GTK+3 target version, otherwise the 3.18 config is used (mga#18442)

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078148
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070705
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065114
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064465
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063036
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060261
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057587
- New version 5.8.0

* Fri Sep 16 2016 daviddavid <daviddavid> 5.7.95-3.mga6
+ Revision: 1053371
- should be gtk2-devel to enable GTKEngine support

* Fri Sep 16 2016 daviddavid <daviddavid> 5.7.95-2.mga6
+ Revision: 1053362
- enable GTKEngine support
- switch Kf5 BRs to cmake()

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053043
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052669
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048331
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044257
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042545
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041382
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039729
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021855
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014526
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009263
- New version 5.6.3

* Sat Apr 09 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999594
- New version 5.6.2
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994558
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987096
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983731
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927958
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922495
- New version 5.5.3

* Wed Dec 09 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 909155
- imported package breeze-gtk

